@ECHO OFF
IF (%1) == (a) GOTO FORMAT
IF (%1) == (A) GOTO FORMAT
IF (%1) == (b) GOTO FORMAT
IF (%1) == (B) GOTO FORMAT
GOTO ERROR

:FORMAT
format /Q /U        %1:

IF EXIST STUDIO3.EXE  COPY STUDIO3.EXE  %1:
IF EXIST STUDIO3.HLP  COPY STUDIO3.HLP  %1:
IF EXIST SESSION.EXE  COPY SESSION.HLP  %1:
IF EXIST SESSION.HLP  COPY SESSION.HLP  %1:
IF EXIST MUSMAGIC.EXE COPY MUSMAGIC.HLP %1:
IF EXIST MUSMAGIC.HLP COPY MUSMAGIC.HLP %1:
IF EXIST SASEQUEN.DLL COPY SASEQUEN.DLL %1:
IF EXIST MMSEQUEN.DLL COPY MMSEQUEN.DLL %1:
IF EXIST SEQUEN31.DLL COPY SEQUEN31.DLL %1:
IF EXIST NOTATE31.DLL COPY NOTATE31.DLL %1:
IF EXIST TIMCOR31.DLL COPY TIMCOR31.DLL %1:
IF EXIST SI_ENTRY.DLL COPY SI_ENTRY.DLL %1:
COPY *.TXT          %1:
COPY MUSICFNT.FON   %1:
COPY VPICDA.386     %1:
IF EXIST *.MID      COPY *.MID      %1:

IF EXIST MENTOR.ICO COPY MENTOR.ICO %1:
IF EXIST SETUPMTR.* COPY SETUPMTR.* %1:
IF EXIST TBK*.*     COPY TBK*.*     %1:
IF EXIST *.MNT      COPY *.MNT      %1:
IF EXIST INDEX.MTR  COPY INDEX.MTR  %1:

GOTO EXIT
:ERROR
Echo tofloppy [drive letter]
:EXIT
